.container-pEmprendimiento {
  display: grid;
  grid-template-columns: 30% 70%;
  padding: 20px 10px;

  .perfilInformacion {
    display: flex;
    flex-direction: column;
    border-right: 1px solid var(--primary);
    padding: 10px;

    .imagen {
      display: flex;
      flex-direction: column;
      justify-content: space-around;
      width: 100%;
      height: 400px;

      .imagen-principal {
        height: 65%;
        width: 100%;
      }

      /* Lista de imagenes para cambiar */
      .imagenes-cambiar {
        display: flex;
        gap: 5px;
        height: 20%;
        padding: 5px 0;
        background-color: white;

        /* Contenedor de cada imagen de la lista */
        & figure {
          width: calc(100% / 4);
          transition: transform .3s ease;
          cursor: pointer;

          &:hover {
            transform: scale(1.1);
          }
        }
      }
    }

    .datos-emprendimiento {
      display: flex;
      flex-direction: column;
      gap: 10px;
      margin-bottom: 20px;

      & label:first-child {
        font-size: 24px;
      }
    }
  }

  .productos {
    padding: 10px 20px;
  }
}

/* Estilos para el dialog */
.dialog-container-general .formulario {
  display: flex;
  flex-direction: column;
  gap: 10px;
  height: auto;
  padding: 10px 0;

  &>button {
    width: 100%;
  }

  .mapa {
    height: 350px;
    width: 100%;
    border-radius: var(--border-radius);
    box-shadow: var(--box-shadow-card-2);
  }
}

.dialog-container-general .imagenesCrud {
  height: 100%;
  gap: 10px;

  .p-element {
    .p-orderlist-header {
      padding: 20px 10px;
    }

    .header-container {
      display: flex;
      justify-content: space-between;
      align-items: center;
      padding: 0 10px;

      & label {
        text-transform: uppercase;
      }
    }

    .contenedor-imagen {
      display: flex;
      align-items: center;
      justify-content: space-between;

      & figure {
        height: 70px;
        width: 100px;
      }

      & label {
        width: 150px;
        text-align: center;
        text-transform: uppercase;
        font-size: 15px;
        padding: 5px 10px;
        border-radius: var(--border-radius);
      }

      & label.principal {
        color: white;
        background: var(--primary);
      }

      & label.secundario {
        color: var(--primary);
        background: white;
        border: 2px solid var(--primary);
      }
    }
  }
}

.p-element .p-rating svg {
  width: 20px;
  height: 20px;
}
